user root root;
worker_processes 4;
worker_cpu_affinity 0001 0010 0100 1000;
#worker_cpu_affinity 00000001 00000010 00000100 00001000 00010000 00100000 01000000 10000000;
worker_rlimit_nofile 65535;

events {
    use epoll;
    worker_connections 102400;
    multi_accept on;
       }

http {
    include       mime.types;
    default_type  application/octet-stream;
    sendfile      on;
    server_tokens off;
    autoindex     off;
    tcp_nopush    on;
    keepalive_timeout 60;
    tcp_nodelay   on;
    gzip          on;
    gzip_min_length 1k;
    gzip_buffers 4 16k;
    gzip_http_version 1.1;
    gzip_comp_level 2;
    gzip_types text/plain application/x-javascript text/css application/xml;
    gzip_vary on;
    client_max_body_size 50m;
    client_body_buffer_size 128k;
    proxy_connect_timeout 90;
    proxy_send_timeout    90;
    proxy_read_timeout    90;
    include /usr/local/nginx/conf/vhosts/*.conf;
    log_format main '$remote_addr - $remote_user [$time_local] "$request" '
                    '$status $body_bytes_sent "$http_referer" '
                    '"$http_user_agent" "$http_x_forwarded_for"';
    }